Access Profiles
List access profiles held by a user
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
target_user_idstring
Response Body
curl -X GET "https://loading/{AI_GATEWAY_URL}/api/users/string/access-profiles"{
"access_profiles": [
{
"id": 0,
"user_id": "string",
"parent_profile_id": 0,
"name": "string",
"is_active": true,
"expires_at": "2019-08-24T14:15:22Z",
"virtual_key_ids": [
"string"
],
"virtual_key_values": {
"property1": "string",
"property2": "string"
}
}
]
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}